---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "18"
  context: rhel9
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-nodejs-18-rhel-9.1.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-nodejs-18-rhel-9.1.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-nodejs-18-rhel-9.1.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:18.12.1-1.module+el9.1.0.z+17326+318294bb.i686
    - nodejs-1:18.12.1-1.module+el9.1.0.z+17326+318294bb.x86_64
    - nodejs-devel-1:18.12.1-1.module+el9.1.0.z+17326+318294bb.i686
    - nodejs-devel-1:18.12.1-1.module+el9.1.0.z+17326+318294bb.x86_64
    - nodejs-docs-1:18.12.1-1.module+el9.1.0.z+17326+318294bb.noarch
    - nodejs-full-i18n-1:18.12.1-1.module+el9.1.0.z+17326+318294bb.x86_64
    - nodejs-nodemon-0:2.0.20-1.module+el9.1.0.z+17326+318294bb.noarch
    - nodejs-packaging-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - nodejs-packaging-bundler-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - npm-1:8.19.2-1.18.12.1.1.module+el9.1.0.z+17326+318294bb.x86_64
...
